/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package generatori;

import freemarker.template.Configuration;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.HashMap;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class GeneratorPozivnica {
    
    
    public static void main(String[] args) {
        
        try {
            Configuration konfiguracija = new Configuration(Configuration.VERSION_2_3_27);
            konfiguracija.setDirectoryForTemplateLoading(new File("src/templates/"));
            Template template = konfiguracija.getTemplate("Pozivnica.ftl");
            System.out.println("UCITAN JE TEMPLATE!");
            
            /*  pravim model podataka u vidu HashMape  */
            
            HashMap<String,Object> data = new HashMap<>();
         
            
            // Prikaz u konzoli
            Writer outKonzola = new OutputStreamWriter(System.out);            
            template.process(data, outKonzola);
            outKonzola.flush();
            
            Writer outFile = new FileWriter(new File("src/generisaniIzlaz/pozivnica.txt"));;
            template.process(data, outFile);
            outKonzola.flush();
            
            
            
        } catch (IOException ex) {
            Logger.getLogger(GeneratorPozivnica.class.getName()).log(Level.SEVERE, null, ex);
        } catch (TemplateException ex) {
            Logger.getLogger(GeneratorPozivnica.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        
        
        
        
    }
    
    
    
}
